// This file is auto-generated by @hey-api/openapi-ts

/**
 * The error that occured while processing this request.
 */
export type Error = {
    message: string;
};

/**
 * The log object
 */
export type Log = {
    traceId: string;
    spanId: string;
    parentSpanId: string;
    tags: {
        [key: string]: unknown;
    };
    personalData: Array<(string)>;
    organization: string;
    processingActivityId: string;
    processingActivity: string;
    startedAt: string;
    /**
     * duration of the trace in ms
     */
    duration: number;
    /**
     * The canonical status code that describes the result status of the operation.
     */
    statusCode: 'STATUS_CODE_UNSET' | 'STATUS_CODE_OK' | 'STATUS_CODE_ERROR';
    /**
     * An optional description of the status.
     */
    statusMessage: string;
};

/**
 * The canonical status code that describes the result status of the operation.
 */
export type statusCode = 'STATUS_CODE_UNSET' | 'STATUS_CODE_OK' | 'STATUS_CODE_ERROR';

/**
 * ID of subject of query.
 */
export type ParameterpathQueryID = queryID;

/**
 * ID of the subject being queried.
 */
export type queryID = string;

export type GetLogsData = {
    path: {
        /**
         * ID of subject of query.
         */
        queryID: queryID;
    };
    query?: {
        /**
         * An optional RFC 3339 formatted time from which to query the logs. Default is 7 days ago.
         */
        since?: string;
        /**
         * An optional RFC 3339 formatted time from which to query the logs. Default is now.
         */
        until?: string;
    };
};

export type GetLogsResponse = ({
    data: Array<Log>;
});

export type GetLogsError = ({
    errors: Array<Error>;
});